## fusecompress 2.6

=== debian/changelog ===
fusecompress (2.6-3) unstable; urgency=low

  * Change address to my official Debian address
  * Add patch from upstream to fix FTBFS with newer boost library
    (Closes: #581293) 
  * Bump Standards Version to 3.8.4 (No changes required)
  * Add misc Depends to -dbg package to make it lintian clean 
  * Switch to source format 3.0 (quilt) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 20 May 2010 19:08:36 +0530

fusecompress (2.6-2) unstable; urgency=low

  * Rename patches in numeric order for ease. 
  * Fix build failure with GCC 4.4. Thanks to Martin Michlmayr for the
    patch. (Closes: #551107)
  * Drop liblzma-dev from Build Dependency since upstream hasn't done a new
    release with support for it. Will support lzma once upstream does.

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Sun, 20 Dec 2009 15:55:19 +0530

fusecompress (2.6-1) unstable; urgency=low

  * New Upstream Release
  * Add debian/watch file
  * Add patch fix-build-failure-with-boost-140.patch to fix build failures
    with boost versions 1.40 and above
    (Closes: #549818)
  * Drop below listed patches. Merged Upstream
    + 03-fix-manpages.patch
    + 04-fix-build-error-on-64bit.patch
  * debian/rules
    + Change get-orig-source target to use uscan
    + Drop removal of broken config.* links. Fixed upstream
    + Preserve upstream shipped config.* files during build
    + Really build in the build target
    + Use dh_link to create a mount.fusecompress symlink to fusecompress
      manpage
  * debian/control
    + Bump Standards Version to 3.8.3 (No changes required)
    + Remove librlog-dev build dependency. Not required with 2.6
    + Move maintenance to Git. Update Vcs headers
  * Explicitly list the GNU GPL 2 license under which fusecompress is
    released

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Tue, 06 Oct 2009 22:23:07 +0530

fusecompress (2.5-2) unstable; urgency=low

  * Add libboost-serialization-dev as a build dependency to fix a build
    failure on the sparc architecture.

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Wed, 13 May 2009 00:21:07 +0530

fusecompress (2.5-1) unstable; urgency=low

  * New upstream release.
    + Add patch 01-fix-build-error.patch from upstream to fix build failure
      on some paltforms.
    + Add patch 02-fix-build-warning.patch from upstream to fix compile
      warning and build failure on some platforms.
    + Add patch 04-fix-build-error-on-64bit.patch to fix compilation on most
      64 Bit platforms. (Closes: #526012)
  * Build-Depend on pkg-config. Upstream now relies on pkg-config to detect
    headers and libraries.

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Tue, 05 May 2009 22:30:59 +0530

fusecompress (2.3-1) unstable; urgency=low

  * Initial release. (Closes: #496105, #407569)

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Mon, 16 Mar 2009 01:14:40 +0530
