=== debian/control ===
Source: fusecompress
Section: utils
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libboost-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-program-options-dev, libfuse-dev, libbz2-dev, liblzo2-dev, zlib1g-dev, libmagic-dev, pkg-config, libboost-serialization-dev
Standards-Version: 3.8.4
Homepage: http://www.miio.net/fusecompress
Vcs-Git: git://git.debian.org/collab-maint/fusecompress.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fusecompress.git

Package: fusecompress
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: transparent filesystem compression using FUSE
 FuseCompress provides a mountable Linux filesystem which transparently
 compress its content.  Files stored in this filesystem are compressed
 on the background and Fuse allows to create a transparent interface
 between compressed files and user applications.

Package: fusecompress-dbg
Architecture: any
Section: debug
Priority: extra
Depends: fusecompress (= ${binary:Version}), ${misc:Depends}
Description: transparent filesystem compression using FUSE - debugging symbols
 FuseCompress provides a mountable Linux filesystem which transparently
 compress its content.  Files stored in this filesystem are compressed
 on the background and Fuse allows to create a transparent interface
 between compressed files and user applications.
 .
 This package contains the debugging symbols for fusecompress.
