=== debian/watch ===
version=3
http://githubredir.debian.net/github/tex/fusecompress/(.*).tar.gz
