## fusecompress 2.6.git913897f4

=== debian/changelog ===
fusecompress (2.6.git913897f4-1) unstable; urgency=low

  * New git point release (Closes: #626513)
    - sync with upstream git id 913897f4
    - [567bf84] Imported Upstream version 2.6.git913897f4
  * Drop patches:
    - [a4810cf] 006_Fix-compilation-failing-with-new-boost-library.patch
    - [ebb43e3] 005_build-failure-with-new-lzma.patch
    - [b3104c7] 004_fix-build-failure-with-gcc44.patch
    - [1563b60] 003_fix-build-failure-with-boost-140.patch
    - [63bd517] 002_fix-build-error-on-64bit.patch
    - [55941f5] 001_fix-manpages.patch
  * [4041755] upstream does not ship a changelog anymore
  * [34ca868] Enable lzma compression support (Closes: #550911)
  * Update Standards Version to 3.9.2 (No changes required)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 27 May 2011 00:18:35 +0530

fusecompress (2.6-4) unstable; urgency=low

  * [39938b5] fix build failure with newer boost libraries (Closes: #625006)
  * [4194fdf] Update S-V to 3.9.1 (No changes required)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 May 2011 01:00:07 +0530
