=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, libboost-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-program-options-dev, libfuse-dev, libbz2-dev, liblzo2-dev, zlib1g-dev, libmagic-dev, pkg-config, libboost-serialization-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), autotools-dev, libboost-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-program-options-dev, libfuse-dev, libbz2-dev, liblzo2-dev, zlib1g-dev, libmagic-dev, pkg-config, libboost-serialization-dev, liblzma-dev
+Standards-Version: 3.9.2
 Homepage: http://www.miio.net/fusecompress
 Vcs-Git: git://git.debian.org/collab-maint/fusecompress.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/fusecompress.git
