=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 	dh_testroot
 	dh_link /usr/share/man/man1/fusecompress.1 \
 		/usr/share/man/man8/mount.fusecompress.8
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs debian/changelog
 	dh_installdocs
 	dh_installman
 	dh_strip --dbg-package=fusecompress-dbg
